Fixed a little bug in the way CD worked under BGii (unlike ZCPR33,
BGii will not accept a command of the form DIR: to change to a
passworded directory that is within the allowed DU range).  CD33
detects this situation and uses a command of the form DU: to change
directories.             Jay Sage, 09/01/87
